Figure - Bug #115080
0 O Test-ST# 113421 (New): V400 00000 0O

0 BSPO O EVT20 O STO O Tlog™ O O tlog_pstorel O O O [0 /data/tlog/fatal/pstore/0 O O O O O

2023-01-0417:41-000000O_CDTSOO

Status: CLOSED Start date: 2023-01-04

Priority: High Due date: 2023-02-16

Assignee: gbooboo_cepTsbod % Done: 100%

Category: SYSTEM Estimated time: 0.00 hour

Target version:

Need_Info: - Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.userdebug.01.00.(
Resolution: FIXED Degrated: No

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version: 2023-02-07

Test Type: ST Root cause: 0 O tlog_pstored O O O O selinuxO O
Description

oooood

None

ooooogd

1000000o0ooooo
20 0 O tlog_pstored O
30 O O /data/tlog/fatal/pstore/00 O O O

gooooo
z00oogonog

goodod
3. /data/tlog/fatal/pstore/0 0 0 0 O 0O O

History

#1 - 2023-01-12 15:30 - CD SYSTEM-0O O
- Due date set to 2023-01-12
- Status changed from New to ASSIGNED

#2 - 2023-01-12 19:50 - CD SYSTEM-O O
- % Done changed from 0 to 50

1.00000 dump crashd O
2. echo ¢ >/proc/sysrg-trigger
3.0000/kys/fs/pstore0 000 O0O0O0O0O

4. adb shell tlog_pstore] [J /data/tlog/fatal/pstore/C0 0 0 O O
OOepkODO0O0000OselinuxDODOOOOODODOODODO

#3-2023-01-18 18:26 - CD SYSTEM-0O O

000000004 pstorefsd O O

00000000000 00000selinux000000000000O00C00O00OO0
#4 - 2023-02-03 11:30 - CD SYSTEM-0O O

- Due date changed from 2023-01-12 to 2023-02-16

#5 - 2023-02-07 16:55 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

179616

general/platform/vendor/thundercom

m/apps/LogSystem

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

Xu.Xxia@thundersoft.com

system:log:add pstoremodify tlog_pstore service start pathTC-RID: 1200-0800102IssuelD: TS-R-BUG-115080Change-Id:
18c244¢209eb2867b23e3d5301f92b2b7dee15ed5

#6 - 2023-02-07 16:55 - 0T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

178454

general/device/qcom/sepolicy_vndr

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

Xu.xia@thundersoft.com

system:log:add pstoreadd pstore selinuxTC-RID: 1200-0800102IssuelD: TS-R-BUG-115080Change-1d: 1b374ff71b680ccf0250943ch031eb94532188390

#7 - 2023-02-07 16:55 - 10T scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

179613

general/platform/vendor/thundercom
m/apps/LogSystem

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

Xu.xia@thundersoft.com

system:log:add pstoreadd cp pstore to vendor/bin/tlogd.shTC-RID: 1200-0800102IssuelD: TS-R-BUG-115080Change-Id:
1981e3b65d886f6e875775098c707cab01f896482

#8 - 2023-02-07 17:06 - CD SYSTEM-0O O

- Status changed from ASSIGNED to RESOLVED
- Assignee changed from CD SYSTEM-O O toO0 0 OO OO _CDTSO O

- % Done changed from 50 to 100
- Resolution changed from -- to FIXED
- Degrated changed from -- to No
- Fixed Version set to 2023-02-07

- Root cause set to (1 [ tlog_pstoreC) 0 0 O O selinux™ O

m Current conclusion
oooog

O0pstore0 00 0000OdumpO OO
1. echo 0 > /sys/module/msm_poweroff/parameters/download_mode O O O dump

2. cat /sys/module/msm_poweroff/parameters/download_mode O 0 O 00 O 0 0O 0O

3. echo ¢ >/proc/sysrg-trigger
000D0O00D0O0OOOtog OOpstored 0O O0OO0O

4. setprop sys.tlog.pstore.active 100 O /data/tlog/fatal/pstore/C1 O O O pstored O

5.apk0 O stopd O O tlogd O O O O /data/tlog/fatal/pstore/C O O O pstored O

m My analysis
0 O tlog_pstore] O O O O selinux™D O

m Nextaction

gooo

#9-2023-02-0914:38-0 00000 _CDTSOO

0000 O FlatBuild_HH_VX1_MCE_FSE.M.R.userdebug.01.00.0073.X101

goooooood

#10-2023-02-0914:38-0 0 0000 _CDTSO O

- Status changed from RESOLVED to VERIFIED

#11-2023-02-0914:38-0 0 0000 _CDTSO O
- Status changed from VERIFIED to CLOSED
